Name:           nautilus-terminal
Version:        1.0
Release:        1%{?_dist_release}
Summary:        Terminal embedded in Nautilus
Summary(ja):    Nautilus に統合された端末

Group:          System Environment/Shells
License:        GPLv3+
URL:            http://projects.flogisoft.com/nautilus-terminal/
Source0:        http://projects.flogisoft.com/nautilus-terminal/download/%%{name}_%{version}_src.tar.gz
#Source1:        nautilus-terminal_ja.po

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  bash
#BuildRequires:  gettext
Requires: nautilus >= 3.0
Requires: nautilus-python >= 1.0
Requires: vte pyxdg gobject-introspection

BuildArch: noarch

%description
Nautilus Terminal is a terminal embedded in Nautilus, the GNOME's file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).

%description -l ja
Nautilus Terminal は GNOME のファイルブラウザである Nautilus に
統合された端末です。
常に現行フォルダで開き、（"cd" コマンドが自動で行われているように）
ナビゲーションに追従します。

%prep
%setup -q -n nautilus-terminal_1.0_src
#chmod -x AUTHORS
#sed -i 's|/usr/lib/nautilus/extensions-2.0|%{_libdir}/nautilus/extensions-2.0|g' install.sh
#%{__cp} -f %{SOURCE1} locales/ja.po

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
bash install.sh --package $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_datadir}/%{name}
%{_datadir}/nautilus-python/extensions/nautilus_terminal.py

%changelog
* Sun Nov 06 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0-1
- new upstream release
- dropt Buildrequires: gettext
- changed Requires
  - Requires: nautilus >= 3.0
  - Requires: nautilus-python >= 1.0
  - Requires: vte pyxdg gobject-introspection
- changed BuildArch to noarch
- fixed summary(ja) and description(ja)

* Tue Oct 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7-1
- initial build for VineSeed

* Fri Sep 24 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.7-1
- New upstream release

* Mon Sep 20 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.6-1
- Initial package
